# Generated automatically from Makefile.in by configure.
#
# Copyright (c) 1991,1993 The Regents of the University of California.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. All advertising materials mentioning features or use of this software
#    must display the following acknowledgement:
#	This product includes software developed by the Computer Systems
#	Engineering Group at Lawrence Berkeley Laboratory.
# 4. Neither the name of the University nor of the Laboratory may be used
#    to endorse or promote products derived from this software without
#    specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# @(#) $Header: /usr/src/mash/repository/vint/nam-1/Attic/Makefile,v 1.8 1998/11/02 18:27:36 heideman Exp $
#

# Top level hierarchy
prefix = /usr/local
exec_prefix = ${prefix}
# Pathname of directory to install the binary
BINDEST = ${exec_prefix}/bin
# Pathname of directory to install the man page
MANDEST = ${prefix}/man

CC = gcc
CPP = c++
CCOPT = -g -Wall
MKDEP = ./conf/mkdep
# Have to be the same as that defined in conf/makefile.win
TCL2C = ../tclcl/tcl2c++
TCLSH = tclsh8.0

#
# Remember to add a dependency if you add any tcl sources here.
#
LIB =  \
	-Lzlib -L../tclcl -ltclcl -L../otcl -lotcl -L/home/johnh/WORKING/VINT/nam-1/../tcl-debug -lz -ltcldbg -L/usr/lib -ltk8.0 -L/usr/lib -ltcl8.0  \
	-L/usr/X11R6/lib -lXext -lX11 \
	 -ldl -lm 
INCLUDE = \
	-I.  \
	-I../tclcl -I../otcl -I/usr/include -I/usr/include -I/usr/include  

STATIC = 
DEFINE = -DTCL_TK  -fsigned-char -fno-inline -DUSE_SHM -DHAVE_LIBTCLCL1_0B6 -DHAVE_TCLCL_H -DHAVE_LIBOTCL1_0A3 -DHAVE_OTCL_H -DHAVE_LIBTCLDBG -DHAVE_DBG_H -DHAVE_LIBTK8_0 -DHAVE_TK_H -DHAVE_LIBTCL8_0 -DHAVE_TCL_H -DHAVE_ZLIB
CFLAGS = $(CCOPT) $(DEFINE) $(INCLUDE)

INSTALL = /usr/bin/install -c
RANLIB = ranlib

BLANK	= # make a blank space.  DO NOT add anything to this line
AR	= ar rc $(BLANK)
LINK	= $(CPP)
LDFLAGS	=
LDOUT	= -o $(BLANK)
PERL	= perl
RM	= rm -f
TCLSH	= tclsh8.0

# Explicitly define compilation rules since SunOS 4's make doesn't like gcc.
# Also, gcc does not remove the .o before forking 'as', which can be a
# problem if you don't own the file but can write to the directory.
.SUFFIXES: .cc $(.SUFFIXES)

.cc.o:
	rm -f $@; $(CPP) -o $@ -c $(CFLAGS) $*.cc

.c.o:
	rm -f $@; $(CC) -o $@ -c $(CFLAGS) $*.c

GEN_DIR = gen/
NAM	= nam

# WIN32: uncomment the following line to include specific make for VC++
# !include <conf/makefile.win>

OBJ_C = tkcompat.o tkUnixInit.o xwd.o

OBJ_CC = \
	netview.o netmodel.o edge.o packet.o node.o main.o \
	trace.o queue.o drop.o animation.o agent.o feature.o \
	route.o transform.o paint.o state.o monitor.o anetmodel.o \
	random.o rng.o view.o graphview.o netgraph.o tracehook.o\
	lan.o psview.o group.o editview.o tag.o address.o animator.o \
	wnetmodel.o nam_stream.o

OBJ_GEN = \
	$(GEN_DIR)version.o $(GEN_DIR)nam_tcl.o

OBJ =	$(OBJ_C) $(OBJ_CC) $(OBJ_GEN)
SRC =	$(OBJ_C:.o=.c) $(OBJ_CC:.o=.cc)

CLEANFILES = $(NAM) $(OBJ) core core.nam

$(NAM):	$(OBJ) $(SCRYOBJ) Makefile
	$(RM) $@
	$(LINK) $(STATIC) $(LDFLAGS) $(LDOUT)$@ \
		$(OBJ) $(SCRYOBJ) $(LIB)

NAM_TCL_LIB = \
	tcl/nam-lib.tcl \
	tcl/nam-default.tcl \
	tcl/animator.tcl \
	tcl/anim-ctrl.tcl \
	tcl/netModel.tcl \
	tcl/autoNetModel.tcl \
	tcl/build-ui.tcl \
	tcl/annotation.tcl \
	tcl/monitor.tcl \
	tcl/stats.tcl \
	tcl/www.tcl \
	tcl/menu_file.tcl \
	tcl/menu_view.tcl \
        tcl/NamgraphView.tcl \
        tcl/NamgraphModel.tcl \
        tcl/observer.tcl \
        tcl/observable.tcl \
        tcl/wirelessNetModel.tcl


$(GEN_DIR)nam_tcl.cc: $(NAM_TCL_LIB)
	$(RM) $@
	$(TCLSH) bin/tcl-expand.tcl tcl/nam-lib.tcl | $(TCL2C) et_nam > $@

$(GEN_DIR)version.c: VERSION
	$(RM) $@
	$(TCLSH) bin/string2c.tcl version < VERSION > $@

clean:
	$(RM) $(CLEANFILES)

distclean:
	$(RM) $(CLEANFILES) Makefile config.cache config.log config.status

tar:	force
	tar=$(TAR_PREFIX)-nam-`cat VERSION`.tar.gz ; \
	rm -f $$tar ; \
	tar cfhF -  $(TAR) | gzip -c > $$tar

depend: $(SRC)
	$(MKDEP) $(CFLAGS) $(SRC)

srctar:
	@cwd=`pwd` ; dir=`basename $$cwd` ; \
	    name=nam-`cat VERSION | tr A-Z a-z` ; \
	    tar=nam-src-`cat VERSION`.tar.gz ; \
	    list="" ; \
	    for i in `cat FILES` ; do list="$$list $$name/$$i" ; done; \
	    echo \
	    "(rm -f $$tar; cd .. ; ln -s $$dir $$name)" ; \
	     (rm -f $$tar; cd .. ; ln -s $$dir $$name) ; \
	    echo \
	    "(cd .. ; tar cfh $$tar [lots of files])" ; \
	     (cd .. ; tar cfh - $$list) | gzip -c > $$tar ; \
	    echo \
	    "rm ../$$name; chmod 444 $$tar" ;  \
	     rm ../$$name; chmod 444 $$tar
force:

# Create makefile.vc for Win32 development by replacing:
# "# !include ..." 	-> 	"!include ..."
makefile.vc: Makefile.in
	$(PERL) bin/gen-vcmake.pl < Makefile.in > makefile.vc
#	$(PERL) -pe 's/^# (\!include)/\!include/o' < Makefile.in > makefile.vc
# DO NOT DELETE THIS LINE -- mkdep uses it.
# DO NOT PUT ANYTHING AFTER THIS LINE, IT WILL GO AWAY.

tkcompat.o: tkcompat.c /usr/include/tk.h /usr/include/tcl.h \
 /usr/include/stdio.h /usr/include/libio.h /usr/include/features.h \
 /usr/include/sys/cdefs.h /usr/include/gnu/stubs.h \
 /usr/include/_G_config.h /usr/include/gnu/types.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stddef.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stdarg.h \
 /usr/include/stdio_lim.h /usr/include/X11/Xlib.h \
 /usr/include/sys/types.h /usr/include/time.h /usr/include/endian.h \
 /usr/include/bytesex.h /usr/include/sys/select.h \
 /usr/include/selectbits.h /usr/include/X11/X.h \
 /usr/include/X11/Xfuncproto.h /usr/include/X11/Xosdefs.h
tkUnixInit.o: tkUnixInit.c /usr/include/tcl.h /usr/include/stdio.h \
 /usr/include/libio.h /usr/include/features.h /usr/include/sys/cdefs.h \
 /usr/include/gnu/stubs.h /usr/include/_G_config.h \
 /usr/include/gnu/types.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stddef.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stdarg.h \
 /usr/include/stdio_lim.h /usr/include/tk.h /usr/include/X11/Xlib.h \
 /usr/include/sys/types.h /usr/include/time.h /usr/include/endian.h \
 /usr/include/bytesex.h /usr/include/sys/select.h \
 /usr/include/selectbits.h /usr/include/X11/X.h \
 /usr/include/X11/Xfuncproto.h /usr/include/X11/Xosdefs.h \
 /usr/include/string.h
xwd.o: xwd.c /usr/include/stdio.h /usr/include/libio.h \
 /usr/include/features.h /usr/include/sys/cdefs.h \
 /usr/include/gnu/stubs.h /usr/include/_G_config.h \
 /usr/include/gnu/types.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stddef.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stdarg.h \
 /usr/include/stdio_lim.h /usr/include/errno.h /usr/include/errnos.h \
 /usr/include/linux/errno.h /usr/include/asm/errno.h /usr/include/tk.h \
 /usr/include/tcl.h /usr/include/X11/Xlib.h /usr/include/sys/types.h \
 /usr/include/time.h /usr/include/endian.h /usr/include/bytesex.h \
 /usr/include/sys/select.h /usr/include/selectbits.h \
 /usr/include/X11/X.h /usr/include/X11/Xfuncproto.h \
 /usr/include/X11/Xosdefs.h /usr/include/X11/Xos.h \
 /usr/include/string.h /usr/include/fcntl.h /usr/include/fcntlbits.h \
 /usr/include/unistd.h /usr/include/posix_opt.h \
 /usr/include/confname.h /usr/include/sys/time.h \
 /usr/include/timebits.h /usr/include/X11/Xutil.h \
 /usr/include/X11/Xmu/WinUtil.h XWDFile.h /usr/include/X11/Xmd.h
netview.o: netview.cc /usr/include/stdlib.h /usr/include/features.h \
 /usr/include/sys/cdefs.h /usr/include/gnu/stubs.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stddef.h \
 /usr/include/sys/types.h /usr/include/gnu/types.h /usr/include/time.h \
 /usr/include/endian.h /usr/include/bytesex.h \
 /usr/include/sys/select.h /usr/include/selectbits.h \
 /usr/include/alloca.h /usr/include/ctype.h /usr/include/math.h \
 /usr/include/huge_val.h /usr/include/mathcalls.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/float.h \
 bbox.h /usr/include/X11/Xlib.h /usr/include/X11/X.h \
 /usr/include/X11/Xfuncproto.h /usr/include/X11/Xosdefs.h netview.h \
 /usr/include/tcl.h /usr/include/stdio.h /usr/include/libio.h \
 /usr/include/_G_config.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stdarg.h \
 /usr/include/stdio_lim.h /usr/include/tk.h view.h tkcompat.h \
 netmodel.h trace.h ../tclcl/tclcl.h /usr/include/string.h \
 ../otcl/otcl.h ../tclcl/tclcl-config.h ../tclcl/tclcl-mappings.h \
 ../tclcl/tracedvar.h animator.h monitor.h transform.h paint.h \
 packet.h animation.h state.h xwd.h
netmodel.o: netmodel.cc /usr/include/stdlib.h /usr/include/features.h \
 /usr/include/sys/cdefs.h /usr/include/gnu/stubs.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stddef.h \
 /usr/include/sys/types.h /usr/include/gnu/types.h /usr/include/time.h \
 /usr/include/endian.h /usr/include/bytesex.h \
 /usr/include/sys/select.h /usr/include/selectbits.h \
 /usr/include/alloca.h /usr/include/stdio.h /usr/include/libio.h \
 /usr/include/_G_config.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stdarg.h \
 /usr/include/stdio_lim.h /usr/include/ctype.h /usr/include/math.h \
 /usr/include/huge_val.h /usr/include/mathcalls.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/float.h \
 /usr/include/tcl.h ../tclcl/tclcl.h /usr/include/string.h \
 ../otcl/otcl.h ../tclcl/tclcl-config.h ../tclcl/tclcl-mappings.h \
 ../tclcl/tracedvar.h netview.h /usr/include/tk.h \
 /usr/include/X11/Xlib.h /usr/include/X11/X.h \
 /usr/include/X11/Xfuncproto.h /usr/include/X11/Xosdefs.h view.h \
 tkcompat.h netmodel.h trace.h animator.h monitor.h transform.h bbox.h \
 psview.h animation.h state.h paint.h group.h tag.h queue.h drop.h \
 packet.h edge.h lan.h node.h agent.h feature.h route.h sincos.h \
 editview.h address.h config.h /usr/include/assert.h
edge.o: edge.cc config.h /usr/include/sys/types.h \
 /usr/include/features.h /usr/include/sys/cdefs.h \
 /usr/include/gnu/stubs.h /usr/include/gnu/types.h /usr/include/time.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stddef.h \
 /usr/include/endian.h /usr/include/bytesex.h \
 /usr/include/sys/select.h /usr/include/selectbits.h \
 /usr/include/stdlib.h /usr/include/alloca.h sincos.h \
 /usr/include/math.h /usr/include/huge_val.h /usr/include/mathcalls.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/float.h \
 edge.h animation.h /usr/include/tcl.h /usr/include/stdio.h \
 /usr/include/libio.h /usr/include/_G_config.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stdarg.h \
 /usr/include/stdio_lim.h state.h paint.h /usr/include/tk.h \
 /usr/include/X11/Xlib.h /usr/include/X11/X.h \
 /usr/include/X11/Xfuncproto.h /usr/include/X11/Xosdefs.h bbox.h \
 transform.h node.h /usr/include/string.h packet.h monitor.h trace.h \
 ../tclcl/tclcl.h ../otcl/otcl.h ../tclcl/tclcl-config.h \
 ../tclcl/tclcl-mappings.h ../tclcl/tracedvar.h animator.h view.h \
 tkcompat.h netmodel.h netview.h psview.h
packet.o: packet.cc transform.h view.h /usr/include/tk.h \
 /usr/include/tcl.h /usr/include/stdio.h /usr/include/libio.h \
 /usr/include/features.h /usr/include/sys/cdefs.h \
 /usr/include/gnu/stubs.h /usr/include/_G_config.h \
 /usr/include/gnu/types.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stddef.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stdarg.h \
 /usr/include/stdio_lim.h /usr/include/X11/Xlib.h \
 /usr/include/sys/types.h /usr/include/time.h /usr/include/endian.h \
 /usr/include/bytesex.h /usr/include/sys/select.h \
 /usr/include/selectbits.h /usr/include/X11/X.h \
 /usr/include/X11/Xfuncproto.h /usr/include/X11/Xosdefs.h tkcompat.h \
 netmodel.h trace.h ../tclcl/tclcl.h /usr/include/string.h \
 ../otcl/otcl.h ../tclcl/tclcl-config.h ../tclcl/tclcl-mappings.h \
 ../tclcl/tracedvar.h animator.h monitor.h bbox.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/float.h \
 netview.h psview.h edge.h /usr/include/math.h /usr/include/huge_val.h \
 /usr/include/mathcalls.h animation.h state.h paint.h node.h packet.h
node.o: node.cc /usr/include/stdlib.h /usr/include/features.h \
 /usr/include/sys/cdefs.h /usr/include/gnu/stubs.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stddef.h \
 /usr/include/sys/types.h /usr/include/gnu/types.h /usr/include/time.h \
 /usr/include/endian.h /usr/include/bytesex.h \
 /usr/include/sys/select.h /usr/include/selectbits.h \
 /usr/include/alloca.h /usr/include/tcl.h /usr/include/stdio.h \
 /usr/include/libio.h /usr/include/_G_config.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stdarg.h \
 /usr/include/stdio_lim.h view.h /usr/include/tk.h \
 /usr/include/X11/Xlib.h /usr/include/X11/X.h \
 /usr/include/X11/Xfuncproto.h /usr/include/X11/Xosdefs.h tkcompat.h \
 netmodel.h trace.h ../tclcl/tclcl.h /usr/include/string.h \
 ../otcl/otcl.h ../tclcl/tclcl-config.h ../tclcl/tclcl-mappings.h \
 ../tclcl/tracedvar.h animator.h monitor.h transform.h bbox.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/float.h \
 netview.h psview.h editview.h tag.h animation.h state.h paint.h \
 node.h /usr/include/math.h /usr/include/huge_val.h \
 /usr/include/mathcalls.h queue.h feature.h agent.h edge.h route.h \
 lan.h
main.o: main.cc /usr/include/stdlib.h /usr/include/features.h \
 /usr/include/sys/cdefs.h /usr/include/gnu/stubs.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stddef.h \
 /usr/include/sys/types.h /usr/include/gnu/types.h /usr/include/time.h \
 /usr/include/endian.h /usr/include/bytesex.h \
 /usr/include/sys/select.h /usr/include/selectbits.h \
 /usr/include/alloca.h /usr/include/unistd.h /usr/include/posix_opt.h \
 /usr/include/confname.h netview.h /usr/include/tcl.h \
 /usr/include/stdio.h /usr/include/libio.h /usr/include/_G_config.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stdarg.h \
 /usr/include/stdio_lim.h /usr/include/tk.h /usr/include/X11/Xlib.h \
 /usr/include/X11/X.h /usr/include/X11/Xfuncproto.h \
 /usr/include/X11/Xosdefs.h view.h tkcompat.h netmodel.h trace.h \
 ../tclcl/tclcl.h /usr/include/string.h ../otcl/otcl.h \
 ../tclcl/tclcl-config.h ../tclcl/tclcl-mappings.h \
 ../tclcl/tracedvar.h animator.h monitor.h transform.h bbox.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/float.h \
 paint.h state.h /usr/include/Dbg.h bitmap/play.xbm bitmap/back.xbm \
 bitmap/stop.xbm bitmap/eject.xbm bitmap/rew.xbm bitmap/ff.xbm \
 bitmap/monitors.xbm bitmap/time.xbm bitmap/zoomin.xbm \
 bitmap/zoomout.xbm bitmap/pullright.xbm bitmap/mark1.xbm \
 bitmap/mark2.xbm bitmap/mark3.xbm bitmap/mark4.xbm bitmap/mark5.xbm \
 bitmap/mark6.xbm bitmap/mark7.xbm bitmap/mark8.xbm
trace.o: trace.cc /usr/include/stdlib.h /usr/include/features.h \
 /usr/include/sys/cdefs.h /usr/include/gnu/stubs.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stddef.h \
 /usr/include/sys/types.h /usr/include/gnu/types.h /usr/include/time.h \
 /usr/include/endian.h /usr/include/bytesex.h \
 /usr/include/sys/select.h /usr/include/selectbits.h \
 /usr/include/alloca.h /usr/include/fcntl.h /usr/include/fcntlbits.h \
 /usr/include/unistd.h /usr/include/posix_opt.h \
 /usr/include/confname.h /usr/include/sys/file.h \
 /usr/include/sys/stat.h /usr/include/statbuf.h /usr/include/ctype.h \
 trace.h ../tclcl/tclcl.h /usr/include/string.h /usr/include/tcl.h \
 /usr/include/stdio.h /usr/include/libio.h /usr/include/_G_config.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stdarg.h \
 /usr/include/stdio_lim.h ../otcl/otcl.h ../tclcl/tclcl-config.h \
 ../tclcl/tclcl-mappings.h ../tclcl/tracedvar.h animator.h state.h \
 packet.h animation.h paint.h /usr/include/tk.h \
 /usr/include/X11/Xlib.h /usr/include/X11/X.h \
 /usr/include/X11/Xfuncproto.h /usr/include/X11/Xosdefs.h bbox.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/float.h \
 monitor.h view.h tkcompat.h netmodel.h transform.h address.h config.h \
 /usr/include/assert.h nam_stream.h /usr/include/zlib.h \
 /usr/include/zconf.h
queue.o: queue.cc netview.h /usr/include/tcl.h /usr/include/stdio.h \
 /usr/include/libio.h /usr/include/features.h /usr/include/sys/cdefs.h \
 /usr/include/gnu/stubs.h /usr/include/_G_config.h \
 /usr/include/gnu/types.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stddef.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stdarg.h \
 /usr/include/stdio_lim.h /usr/include/tk.h /usr/include/X11/Xlib.h \
 /usr/include/sys/types.h /usr/include/time.h /usr/include/endian.h \
 /usr/include/bytesex.h /usr/include/sys/select.h \
 /usr/include/selectbits.h /usr/include/X11/X.h \
 /usr/include/X11/Xfuncproto.h /usr/include/X11/Xosdefs.h view.h \
 tkcompat.h netmodel.h trace.h ../tclcl/tclcl.h /usr/include/string.h \
 ../otcl/otcl.h ../tclcl/tclcl-config.h ../tclcl/tclcl-mappings.h \
 ../tclcl/tracedvar.h animator.h monitor.h transform.h bbox.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/float.h \
 psview.h queue.h animation.h state.h paint.h drop.h sincos.h \
 /usr/include/math.h /usr/include/huge_val.h /usr/include/mathcalls.h
drop.o: drop.cc netview.h /usr/include/tcl.h /usr/include/stdio.h \
 /usr/include/libio.h /usr/include/features.h /usr/include/sys/cdefs.h \
 /usr/include/gnu/stubs.h /usr/include/_G_config.h \
 /usr/include/gnu/types.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stddef.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stdarg.h \
 /usr/include/stdio_lim.h /usr/include/tk.h /usr/include/X11/Xlib.h \
 /usr/include/sys/types.h /usr/include/time.h /usr/include/endian.h \
 /usr/include/bytesex.h /usr/include/sys/select.h \
 /usr/include/selectbits.h /usr/include/X11/X.h \
 /usr/include/X11/Xfuncproto.h /usr/include/X11/Xosdefs.h view.h \
 tkcompat.h netmodel.h trace.h ../tclcl/tclcl.h /usr/include/string.h \
 ../otcl/otcl.h ../tclcl/tclcl-config.h ../tclcl/tclcl-mappings.h \
 ../tclcl/tracedvar.h animator.h monitor.h transform.h bbox.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/float.h \
 drop.h animation.h state.h paint.h
animation.o: animation.cc /usr/include/memory.h \
 /usr/include/features.h /usr/include/sys/cdefs.h \
 /usr/include/gnu/stubs.h /usr/include/string.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stddef.h \
 /usr/include/tcl.h /usr/include/stdio.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/gnu/types.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stdarg.h \
 /usr/include/stdio_lim.h /usr/include/math.h /usr/include/huge_val.h \
 /usr/include/mathcalls.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/float.h \
 animation.h state.h paint.h /usr/include/tk.h /usr/include/X11/Xlib.h \
 /usr/include/sys/types.h /usr/include/time.h /usr/include/endian.h \
 /usr/include/bytesex.h /usr/include/sys/select.h \
 /usr/include/selectbits.h /usr/include/X11/X.h \
 /usr/include/X11/Xfuncproto.h /usr/include/X11/Xosdefs.h bbox.h \
 monitor.h
agent.o: agent.cc /usr/include/stdlib.h /usr/include/features.h \
 /usr/include/sys/cdefs.h /usr/include/gnu/stubs.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stddef.h \
 /usr/include/sys/types.h /usr/include/gnu/types.h /usr/include/time.h \
 /usr/include/endian.h /usr/include/bytesex.h \
 /usr/include/sys/select.h /usr/include/selectbits.h \
 /usr/include/alloca.h netview.h /usr/include/tcl.h \
 /usr/include/stdio.h /usr/include/libio.h /usr/include/_G_config.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stdarg.h \
 /usr/include/stdio_lim.h /usr/include/tk.h /usr/include/X11/Xlib.h \
 /usr/include/X11/X.h /usr/include/X11/Xfuncproto.h \
 /usr/include/X11/Xosdefs.h view.h tkcompat.h netmodel.h trace.h \
 ../tclcl/tclcl.h /usr/include/string.h ../otcl/otcl.h \
 ../tclcl/tclcl-config.h ../tclcl/tclcl-mappings.h \
 ../tclcl/tracedvar.h animator.h monitor.h transform.h bbox.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/float.h \
 psview.h node.h /usr/include/math.h /usr/include/huge_val.h \
 /usr/include/mathcalls.h animation.h state.h paint.h feature.h \
 agent.h edge.h sincos.h
feature.o: feature.cc netview.h /usr/include/tcl.h \
 /usr/include/stdio.h /usr/include/libio.h /usr/include/features.h \
 /usr/include/sys/cdefs.h /usr/include/gnu/stubs.h \
 /usr/include/_G_config.h /usr/include/gnu/types.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stddef.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stdarg.h \
 /usr/include/stdio_lim.h /usr/include/tk.h /usr/include/X11/Xlib.h \
 /usr/include/sys/types.h /usr/include/time.h /usr/include/endian.h \
 /usr/include/bytesex.h /usr/include/sys/select.h \
 /usr/include/selectbits.h /usr/include/X11/X.h \
 /usr/include/X11/Xfuncproto.h /usr/include/X11/Xosdefs.h view.h \
 tkcompat.h netmodel.h trace.h ../tclcl/tclcl.h /usr/include/string.h \
 ../otcl/otcl.h ../tclcl/tclcl-config.h ../tclcl/tclcl-mappings.h \
 ../tclcl/tracedvar.h animator.h monitor.h transform.h bbox.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/float.h \
 agent.h animation.h state.h paint.h node.h /usr/include/math.h \
 /usr/include/huge_val.h /usr/include/mathcalls.h edge.h feature.h
route.o: route.cc netview.h /usr/include/tcl.h /usr/include/stdio.h \
 /usr/include/libio.h /usr/include/features.h /usr/include/sys/cdefs.h \
 /usr/include/gnu/stubs.h /usr/include/_G_config.h \
 /usr/include/gnu/types.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stddef.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stdarg.h \
 /usr/include/stdio_lim.h /usr/include/tk.h /usr/include/X11/Xlib.h \
 /usr/include/sys/types.h /usr/include/time.h /usr/include/endian.h \
 /usr/include/bytesex.h /usr/include/sys/select.h \
 /usr/include/selectbits.h /usr/include/X11/X.h \
 /usr/include/X11/Xfuncproto.h /usr/include/X11/Xosdefs.h view.h \
 tkcompat.h netmodel.h trace.h ../tclcl/tclcl.h /usr/include/string.h \
 ../otcl/otcl.h ../tclcl/tclcl-config.h ../tclcl/tclcl-mappings.h \
 ../tclcl/tracedvar.h animator.h monitor.h transform.h bbox.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/float.h \
 psview.h route.h animation.h state.h paint.h feature.h agent.h edge.h \
 /usr/include/math.h /usr/include/huge_val.h /usr/include/mathcalls.h \
 node.h
transform.o: transform.cc sincos.h /usr/include/math.h \
 /usr/include/features.h /usr/include/sys/cdefs.h \
 /usr/include/gnu/stubs.h /usr/include/huge_val.h \
 /usr/include/mathcalls.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/float.h \
 transform.h
paint.o: paint.cc paint.h /usr/include/tk.h /usr/include/tcl.h \
 /usr/include/stdio.h /usr/include/libio.h /usr/include/features.h \
 /usr/include/sys/cdefs.h /usr/include/gnu/stubs.h \
 /usr/include/_G_config.h /usr/include/gnu/types.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stddef.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stdarg.h \
 /usr/include/stdio_lim.h /usr/include/X11/Xlib.h \
 /usr/include/sys/types.h /usr/include/time.h /usr/include/endian.h \
 /usr/include/bytesex.h /usr/include/sys/select.h \
 /usr/include/selectbits.h /usr/include/X11/X.h \
 /usr/include/X11/Xfuncproto.h /usr/include/X11/Xosdefs.h \
 ../tclcl/tclcl.h /usr/include/string.h ../otcl/otcl.h \
 ../tclcl/tclcl-config.h ../tclcl/tclcl-mappings.h \
 ../tclcl/tracedvar.h
state.o: state.cc state.h
monitor.o: monitor.cc config.h /usr/include/sys/types.h \
 /usr/include/features.h /usr/include/sys/cdefs.h \
 /usr/include/gnu/stubs.h /usr/include/gnu/types.h /usr/include/time.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stddef.h \
 /usr/include/endian.h /usr/include/bytesex.h \
 /usr/include/sys/select.h /usr/include/selectbits.h \
 /usr/include/stdlib.h /usr/include/alloca.h /usr/include/stdio.h \
 /usr/include/libio.h /usr/include/_G_config.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stdarg.h \
 /usr/include/stdio_lim.h monitor.h animation.h /usr/include/tcl.h \
 state.h paint.h /usr/include/tk.h /usr/include/X11/Xlib.h \
 /usr/include/X11/X.h /usr/include/X11/Xfuncproto.h \
 /usr/include/X11/Xosdefs.h bbox.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/float.h \
 netview.h view.h tkcompat.h netmodel.h trace.h ../tclcl/tclcl.h \
 /usr/include/string.h ../otcl/otcl.h ../tclcl/tclcl-config.h \
 ../tclcl/tclcl-mappings.h ../tclcl/tracedvar.h animator.h transform.h
anetmodel.o: anetmodel.cc /usr/include/stdlib.h \
 /usr/include/features.h /usr/include/sys/cdefs.h \
 /usr/include/gnu/stubs.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stddef.h \
 /usr/include/sys/types.h /usr/include/gnu/types.h /usr/include/time.h \
 /usr/include/endian.h /usr/include/bytesex.h \
 /usr/include/sys/select.h /usr/include/selectbits.h \
 /usr/include/alloca.h /usr/include/math.h /usr/include/huge_val.h \
 /usr/include/mathcalls.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/float.h \
 random.h config.h rng.h ../tclcl/tclcl.h /usr/include/string.h \
 /usr/include/tcl.h /usr/include/stdio.h /usr/include/libio.h \
 /usr/include/_G_config.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stdarg.h \
 /usr/include/stdio_lim.h ../otcl/otcl.h ../tclcl/tclcl-config.h \
 ../tclcl/tclcl-mappings.h ../tclcl/tracedvar.h view.h \
 /usr/include/tk.h /usr/include/X11/Xlib.h /usr/include/X11/X.h \
 /usr/include/X11/Xfuncproto.h /usr/include/X11/Xosdefs.h tkcompat.h \
 netmodel.h trace.h animator.h monitor.h transform.h bbox.h netview.h \
 animation.h state.h paint.h queue.h edge.h node.h agent.h sincos.h \
 packet.h anetmodel.h
random.o: random.cc /usr/include/sys/time.h /usr/include/features.h \
 /usr/include/sys/cdefs.h /usr/include/gnu/stubs.h /usr/include/time.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stddef.h \
 /usr/include/timebits.h /usr/include/gnu/types.h \
 /usr/include/sys/select.h /usr/include/selectbits.h random.h \
 /usr/include/math.h /usr/include/huge_val.h /usr/include/mathcalls.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/float.h \
 config.h /usr/include/sys/types.h /usr/include/endian.h \
 /usr/include/bytesex.h /usr/include/stdlib.h /usr/include/alloca.h \
 rng.h ../tclcl/tclcl.h /usr/include/string.h /usr/include/tcl.h \
 /usr/include/stdio.h /usr/include/libio.h /usr/include/_G_config.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stdarg.h \
 /usr/include/stdio_lim.h ../otcl/otcl.h ../tclcl/tclcl-config.h \
 ../tclcl/tclcl-mappings.h ../tclcl/tracedvar.h
rng.o: rng.cc /usr/include/sys/time.h /usr/include/features.h \
 /usr/include/sys/cdefs.h /usr/include/gnu/stubs.h /usr/include/time.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stddef.h \
 /usr/include/timebits.h /usr/include/gnu/types.h \
 /usr/include/sys/select.h /usr/include/selectbits.h \
 /usr/include/unistd.h /usr/include/posix_opt.h \
 /usr/include/confname.h /usr/include/stdio.h /usr/include/libio.h \
 /usr/include/_G_config.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stdarg.h \
 /usr/include/stdio_lim.h rng.h /usr/include/math.h \
 /usr/include/huge_val.h /usr/include/mathcalls.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/float.h \
 /usr/include/stdlib.h /usr/include/sys/types.h /usr/include/endian.h \
 /usr/include/bytesex.h /usr/include/alloca.h ../tclcl/tclcl.h \
 /usr/include/string.h /usr/include/tcl.h ../otcl/otcl.h \
 ../tclcl/tclcl-config.h ../tclcl/tclcl-mappings.h \
 ../tclcl/tracedvar.h
view.o: view.cc /usr/include/stdlib.h /usr/include/features.h \
 /usr/include/sys/cdefs.h /usr/include/gnu/stubs.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stddef.h \
 /usr/include/sys/types.h /usr/include/gnu/types.h /usr/include/time.h \
 /usr/include/endian.h /usr/include/bytesex.h \
 /usr/include/sys/select.h /usr/include/selectbits.h \
 /usr/include/alloca.h /usr/include/ctype.h /usr/include/math.h \
 /usr/include/huge_val.h /usr/include/mathcalls.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/float.h \
 ../tclcl/tclcl.h /usr/include/string.h /usr/include/tcl.h \
 /usr/include/stdio.h /usr/include/libio.h /usr/include/_G_config.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stdarg.h \
 /usr/include/stdio_lim.h ../otcl/otcl.h ../tclcl/tclcl-config.h \
 ../tclcl/tclcl-mappings.h ../tclcl/tracedvar.h bbox.h \
 /usr/include/X11/Xlib.h /usr/include/X11/X.h \
 /usr/include/X11/Xfuncproto.h /usr/include/X11/Xosdefs.h netview.h \
 /usr/include/tk.h view.h tkcompat.h netmodel.h trace.h animator.h \
 monitor.h transform.h paint.h packet.h animation.h state.h
graphview.o: graphview.cc /usr/include/stdlib.h \
 /usr/include/features.h /usr/include/sys/cdefs.h \
 /usr/include/gnu/stubs.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stddef.h \
 /usr/include/sys/types.h /usr/include/gnu/types.h /usr/include/time.h \
 /usr/include/endian.h /usr/include/bytesex.h \
 /usr/include/sys/select.h /usr/include/selectbits.h \
 /usr/include/alloca.h /usr/include/ctype.h /usr/include/math.h \
 /usr/include/huge_val.h /usr/include/mathcalls.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/float.h \
 bbox.h /usr/include/X11/Xlib.h /usr/include/X11/X.h \
 /usr/include/X11/Xfuncproto.h /usr/include/X11/Xosdefs.h graphview.h \
 view.h /usr/include/tk.h /usr/include/tcl.h /usr/include/stdio.h \
 /usr/include/libio.h /usr/include/_G_config.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stdarg.h \
 /usr/include/stdio_lim.h tkcompat.h netmodel.h trace.h \
 ../tclcl/tclcl.h /usr/include/string.h ../otcl/otcl.h \
 ../tclcl/tclcl-config.h ../tclcl/tclcl-mappings.h \
 ../tclcl/tracedvar.h animator.h monitor.h transform.h netgraph.h \
 paint.h packet.h animation.h state.h
netgraph.o: netgraph.cc /usr/include/stdlib.h /usr/include/features.h \
 /usr/include/sys/cdefs.h /usr/include/gnu/stubs.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stddef.h \
 /usr/include/sys/types.h /usr/include/gnu/types.h /usr/include/time.h \
 /usr/include/endian.h /usr/include/bytesex.h \
 /usr/include/sys/select.h /usr/include/selectbits.h \
 /usr/include/alloca.h /usr/include/ctype.h /usr/include/math.h \
 /usr/include/huge_val.h /usr/include/mathcalls.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/float.h \
 config.h graphview.h view.h /usr/include/tk.h /usr/include/tcl.h \
 /usr/include/stdio.h /usr/include/libio.h /usr/include/_G_config.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stdarg.h \
 /usr/include/stdio_lim.h /usr/include/X11/Xlib.h /usr/include/X11/X.h \
 /usr/include/X11/Xfuncproto.h /usr/include/X11/Xosdefs.h tkcompat.h \
 netmodel.h trace.h ../tclcl/tclcl.h /usr/include/string.h \
 ../otcl/otcl.h ../tclcl/tclcl-config.h ../tclcl/tclcl-mappings.h \
 ../tclcl/tracedvar.h animator.h monitor.h transform.h bbox.h \
 netgraph.h paint.h sincos.h state.h
tracehook.o: tracehook.cc ../tclcl/tclcl.h /usr/include/string.h \
 /usr/include/features.h /usr/include/sys/cdefs.h \
 /usr/include/gnu/stubs.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stddef.h \
 /usr/include/tcl.h /usr/include/stdio.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/gnu/types.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stdarg.h \
 /usr/include/stdio_lim.h ../otcl/otcl.h ../tclcl/tclcl-config.h \
 ../tclcl/tclcl-mappings.h ../tclcl/tracedvar.h trace.h animator.h \
 tracehook.h
lan.o: lan.cc sincos.h /usr/include/math.h /usr/include/features.h \
 /usr/include/sys/cdefs.h /usr/include/gnu/stubs.h \
 /usr/include/huge_val.h /usr/include/mathcalls.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/float.h \
 config.h /usr/include/sys/types.h /usr/include/gnu/types.h \
 /usr/include/time.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stddef.h \
 /usr/include/endian.h /usr/include/bytesex.h \
 /usr/include/sys/select.h /usr/include/selectbits.h \
 /usr/include/stdlib.h /usr/include/alloca.h lan.h animation.h \
 /usr/include/tcl.h /usr/include/stdio.h /usr/include/libio.h \
 /usr/include/_G_config.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stdarg.h \
 /usr/include/stdio_lim.h state.h paint.h /usr/include/tk.h \
 /usr/include/X11/Xlib.h /usr/include/X11/X.h \
 /usr/include/X11/Xfuncproto.h /usr/include/X11/Xosdefs.h bbox.h \
 transform.h edge.h node.h /usr/include/string.h netmodel.h trace.h \
 ../tclcl/tclcl.h ../otcl/otcl.h ../tclcl/tclcl-config.h \
 ../tclcl/tclcl-mappings.h ../tclcl/tracedvar.h animator.h monitor.h \
 packet.h view.h tkcompat.h psview.h
psview.o: psview.cc /usr/include/stdlib.h /usr/include/features.h \
 /usr/include/sys/cdefs.h /usr/include/gnu/stubs.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stddef.h \
 /usr/include/sys/types.h /usr/include/gnu/types.h /usr/include/time.h \
 /usr/include/endian.h /usr/include/bytesex.h \
 /usr/include/sys/select.h /usr/include/selectbits.h \
 /usr/include/alloca.h /usr/include/ctype.h /usr/include/math.h \
 /usr/include/huge_val.h /usr/include/mathcalls.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/float.h \
 bbox.h /usr/include/X11/Xlib.h /usr/include/X11/X.h \
 /usr/include/X11/Xfuncproto.h /usr/include/X11/Xosdefs.h netview.h \
 /usr/include/tcl.h /usr/include/stdio.h /usr/include/libio.h \
 /usr/include/_G_config.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stdarg.h \
 /usr/include/stdio_lim.h /usr/include/tk.h view.h tkcompat.h \
 netmodel.h trace.h ../tclcl/tclcl.h /usr/include/string.h \
 ../otcl/otcl.h ../tclcl/tclcl-config.h ../tclcl/tclcl-mappings.h \
 ../tclcl/tracedvar.h animator.h monitor.h transform.h paint.h \
 packet.h animation.h state.h psview.h
group.o: group.cc /usr/include/string.h /usr/include/features.h \
 /usr/include/sys/cdefs.h /usr/include/gnu/stubs.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stddef.h \
 group.h /usr/include/tcl.h /usr/include/stdio.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/gnu/types.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stdarg.h \
 /usr/include/stdio_lim.h animation.h state.h paint.h \
 /usr/include/tk.h /usr/include/X11/Xlib.h /usr/include/sys/types.h \
 /usr/include/time.h /usr/include/endian.h /usr/include/bytesex.h \
 /usr/include/sys/select.h /usr/include/selectbits.h \
 /usr/include/X11/X.h /usr/include/X11/Xfuncproto.h \
 /usr/include/X11/Xosdefs.h bbox.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/float.h
editview.o: editview.cc /usr/include/stdlib.h /usr/include/features.h \
 /usr/include/sys/cdefs.h /usr/include/gnu/stubs.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stddef.h \
 /usr/include/sys/types.h /usr/include/gnu/types.h /usr/include/time.h \
 /usr/include/endian.h /usr/include/bytesex.h \
 /usr/include/sys/select.h /usr/include/selectbits.h \
 /usr/include/alloca.h /usr/include/ctype.h /usr/include/math.h \
 /usr/include/huge_val.h /usr/include/mathcalls.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/float.h \
 view.h /usr/include/tk.h /usr/include/tcl.h /usr/include/stdio.h \
 /usr/include/libio.h /usr/include/_G_config.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stdarg.h \
 /usr/include/stdio_lim.h /usr/include/X11/Xlib.h /usr/include/X11/X.h \
 /usr/include/X11/Xfuncproto.h /usr/include/X11/Xosdefs.h tkcompat.h \
 netmodel.h trace.h ../tclcl/tclcl.h /usr/include/string.h \
 ../otcl/otcl.h ../tclcl/tclcl-config.h ../tclcl/tclcl-mappings.h \
 ../tclcl/tracedvar.h animator.h monitor.h transform.h bbox.h \
 editview.h tag.h animation.h state.h paint.h
tag.o: tag.cc /usr/include/string.h /usr/include/features.h \
 /usr/include/sys/cdefs.h /usr/include/gnu/stubs.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stddef.h \
 /usr/include/tcl.h /usr/include/stdio.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/gnu/types.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stdarg.h \
 /usr/include/stdio_lim.h animation.h state.h paint.h \
 /usr/include/tk.h /usr/include/X11/Xlib.h /usr/include/sys/types.h \
 /usr/include/time.h /usr/include/endian.h /usr/include/bytesex.h \
 /usr/include/sys/select.h /usr/include/selectbits.h \
 /usr/include/X11/X.h /usr/include/X11/Xfuncproto.h \
 /usr/include/X11/Xosdefs.h bbox.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/float.h tag.h \
 view.h tkcompat.h netmodel.h trace.h ../tclcl/tclcl.h ../otcl/otcl.h \
 ../tclcl/tclcl-config.h ../tclcl/tclcl-mappings.h \
 ../tclcl/tracedvar.h animator.h monitor.h transform.h
address.o: address.cc /usr/include/stdio.h /usr/include/libio.h \
 /usr/include/features.h /usr/include/sys/cdefs.h \
 /usr/include/gnu/stubs.h /usr/include/_G_config.h \
 /usr/include/gnu/types.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stddef.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stdarg.h \
 /usr/include/stdio_lim.h /usr/include/stdlib.h \
 /usr/include/sys/types.h /usr/include/time.h /usr/include/endian.h \
 /usr/include/bytesex.h /usr/include/sys/select.h \
 /usr/include/selectbits.h /usr/include/alloca.h ../tclcl/tclcl.h \
 /usr/include/string.h /usr/include/tcl.h ../otcl/otcl.h \
 ../tclcl/tclcl-config.h ../tclcl/tclcl-mappings.h \
 ../tclcl/tracedvar.h address.h config.h /usr/include/assert.h
animator.o: animator.cc animator.h ../tclcl/tclcl.h \
 /usr/include/string.h /usr/include/features.h \
 /usr/include/sys/cdefs.h /usr/include/gnu/stubs.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stddef.h \
 /usr/include/tcl.h /usr/include/stdio.h /usr/include/libio.h \
 /usr/include/_G_config.h /usr/include/gnu/types.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stdarg.h \
 /usr/include/stdio_lim.h ../otcl/otcl.h ../tclcl/tclcl-config.h \
 ../tclcl/tclcl-mappings.h ../tclcl/tracedvar.h
wnetmodel.o: wnetmodel.cc /usr/include/stdlib.h \
 /usr/include/features.h /usr/include/sys/cdefs.h \
 /usr/include/gnu/stubs.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stddef.h \
 /usr/include/sys/types.h /usr/include/gnu/types.h /usr/include/time.h \
 /usr/include/endian.h /usr/include/bytesex.h \
 /usr/include/sys/select.h /usr/include/selectbits.h \
 /usr/include/alloca.h /usr/include/math.h /usr/include/huge_val.h \
 /usr/include/mathcalls.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/float.h \
 random.h config.h rng.h ../tclcl/tclcl.h /usr/include/string.h \
 /usr/include/tcl.h /usr/include/stdio.h /usr/include/libio.h \
 /usr/include/_G_config.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stdarg.h \
 /usr/include/stdio_lim.h ../otcl/otcl.h ../tclcl/tclcl-config.h \
 ../tclcl/tclcl-mappings.h ../tclcl/tracedvar.h view.h \
 /usr/include/tk.h /usr/include/X11/Xlib.h /usr/include/X11/X.h \
 /usr/include/X11/Xfuncproto.h /usr/include/X11/Xosdefs.h tkcompat.h \
 netmodel.h trace.h animator.h monitor.h transform.h bbox.h netview.h \
 animation.h state.h paint.h queue.h edge.h node.h agent.h sincos.h \
 packet.h wnetmodel.h
nam_stream.o: nam_stream.cc /usr/include/stdlib.h \
 /usr/include/features.h /usr/include/sys/cdefs.h \
 /usr/include/gnu/stubs.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stddef.h \
 /usr/include/sys/types.h /usr/include/gnu/types.h /usr/include/time.h \
 /usr/include/endian.h /usr/include/bytesex.h \
 /usr/include/sys/select.h /usr/include/selectbits.h \
 /usr/include/alloca.h ../tclcl/tclcl.h /usr/include/string.h \
 /usr/include/tcl.h /usr/include/stdio.h /usr/include/libio.h \
 /usr/include/_G_config.h \
 /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.90.27/include/stdarg.h \
 /usr/include/stdio_lim.h ../otcl/otcl.h ../tclcl/tclcl-config.h \
 ../tclcl/tclcl-mappings.h ../tclcl/tracedvar.h nam_stream.h \
 /usr/include/unistd.h /usr/include/posix_opt.h \

# IF YOU PUT ANYTHING HERE IT WILL GO AWAY
